package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

 
public class PapRiwayatImunisasiDasarVO extends BaseTransactionVO {
	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianFk")
	@NotNull(message = "PAPpengkajian tidak boleh kosong")

	@Caption(value = "Object PAPpengkajian")
	private PapPengkajianVO paPpengkajian;

	@Column(name = "ObjectPAPpengkajianFk", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianId;

	@NotNull(message = "hasilImunisasi tidak boleh kosong")
	@Column(name = "hasilImunisasi", nullable = false)
	@Caption(value = "hasilImunisasi")
	private String hasilImunisasi;

	public PapPengkajianVO getPaPpengkajian() {
		return paPpengkajian;
	}

	public void setPaPpengkajian(PapPengkajianVO paPpengkajian) {
		this.paPpengkajian = paPpengkajian;
	}

	public String getPaPpengkajianId() {
		return paPpengkajianId;
	}

	public void setPaPpengkajianId(String paPpengkajianId) {
		this.paPpengkajianId = paPpengkajianId;
	}

	public String getHasilImunisasi() {
		return hasilImunisasi;
	}

	public void setHasilImunisasi(String hasilImunisasi) {
		this.hasilImunisasi = hasilImunisasi;
	}
		
}
